package com.test.ejb;


import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.test.jpa.Person;


@Stateless(name = "Plain")
public class TestBeanImplPlain implements TestBean {

    @PersistenceContext(unitName = "TestJPA")
    private EntityManager personDAO;

    @Override
    public List<Person> getPeople() {
        return personDAO.createQuery("select p from Person p", Person.class).getResultList();
    }
}
